Page MenuHomePhabricator

Add ability to record software version (e.g. branch name) with each log event
Closed, ResolvedPublic

Description

Add support to record $wgVersion in the logging context to help debug issues on Wikifarms that run multiple versions (e.g. WMF production).

Details

Related Gerrit Patches:

Event Timeline

bd808 created this task.Feb 3 2016, 8:04 PM
bd808 raised the priority of this task from to Medium.
bd808 updated the task description. (Show Details)
bd808 added a project: MediaWiki-Debug-Logger.
bd808 added a subscriber: bd808.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 3 2016, 8:04 PM
Tgr added a subscriber: Tgr.Feb 6 2016, 7:00 PM

Change 269062 had a related patch set uploaded (by BryanDavis):
Add $wgVersion to MediaWiki\Logger\Monolog\WikiProcessor

https://gerrit.wikimedia.org/r/269062

bd808 claimed this task.Feb 7 2016, 10:04 PM
Restricted Application added a project: User-bd808. · View Herald TranscriptFeb 7 2016, 10:04 PM
bd808 moved this task from To Do to Needs Review/Feedback on the User-bd808 board.Feb 7 2016, 10:04 PM

Change 269065 had a related patch set uploaded (by BryanDavis):
Monolog: Add mwversion to udp2log log events

https://gerrit.wikimedia.org/r/269065

Change 269062 merged by jenkins-bot:
Add $wgVersion to MediaWiki\Logger\Monolog\WikiProcessor

https://gerrit.wikimedia.org/r/269062

Change 269083 had a related patch set uploaded (by BryanDavis):
Add $wgVersion to MediaWiki\Logger\Monolog\WikiProcessor

https://gerrit.wikimedia.org/r/269083

Change 269083 merged by jenkins-bot:
Add $wgVersion to MediaWiki\Logger\Monolog\WikiProcessor

https://gerrit.wikimedia.org/r/269083

Change 269065 merged by jenkins-bot:
Monolog: Add mwversion to udp2log log events

https://gerrit.wikimedia.org/r/269065

bd808 closed this task as Resolved.Feb 8 2016, 11:57 PM
bd808 moved this task from Needs Review/Feedback to Done on the User-bd808 board.Feb 10 2016, 3:19 AM
bd808 moved this task from Done to Archive on the User-bd808 board.Feb 21 2016, 8:52 PM